`timescale 1 ns/100 ps
// Version: 10.0 SP1 10.0.10.4


module Voltage_Monitor(
       UART_0_TXD,
       UART_0_RXD,
       MSS_RESET_N,
       TM0_Voltage,
       VAREF0,
       GPIO_31_OUT,
       GPIO_30_OUT,
       GPIO_29_OUT,
       GPIO_28_OUT
    );
output UART_0_TXD;
input  UART_0_RXD;
input  MSS_RESET_N;
input  TM0_Voltage;
input  VAREF0;
output GPIO_31_OUT;
output GPIO_30_OUT;
output GPIO_29_OUT;
output GPIO_28_OUT;

    wire GND_net, VCC_net;
    
    Voltage_Monitor_MSS Voltage_Monitor_MSS_0 (.UART_0_TXD(UART_0_TXD), 
        .UART_0_RXD(UART_0_RXD), .MSS_RESET_N(MSS_RESET_N), 
        .TM0_Voltage(TM0_Voltage), .VAREF0(VAREF0), .GPIO_31_OUT(
        GPIO_31_OUT), .GPIO_30_OUT(GPIO_30_OUT), .GPIO_29_OUT(
        GPIO_29_OUT), .GPIO_28_OUT(GPIO_28_OUT));
    VCC VCC (.Y(VCC_net));
    GND GND (.Y(GND_net));
    
endmodule
